Page MenuHomePhabricator

Split up the details class into multiple OOjs UI widgets in separate files
Closed, ResolvedPublic

Description

This class looks too big to me - could have multiple field classes and conglomerate them in the details class. Or maybe OOUI will make this small enough that we don't need to split it up?

  • Split off uw.CampaignDetailsWidget from UploadWizardDetails
  • Split off uw.CategoriesDetailsWidget from UploadWizardDetails
  • Split off uw.DateDetailsWidget from UploadWizardDetails
  • Split off uw.DescriptionsDetailsWidget from UploadWizardDetails
  • Split off uw.LocationDetailsWidget from UploadWizardDetails
  • Split off uw.TitleDetailsWidget from UploadWizardDetails
  • Split off uw.OtherDetailsWidget from UploadWizardDetails

Related Objects

Event Timeline

MarkTraceur raised the priority of this task from to Normal.
MarkTraceur updated the task description. (Show Details)
MarkTraceur added subscribers: MarkTraceur, Aklapper.
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:24 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptSep 4 2015, 6:24 PM
matmarex claimed this task.Oct 16 2015, 6:50 PM
matmarex added a subscriber: matmarex.

Dibs!

Change 251179 had a related patch set uploaded (by Bartosz Dziewoński):
Split off uw.DateDetailsWidget from UploadWizardDetails (introduce uw.DetailsWidget)

https://gerrit.wikimedia.org/r/251179

Change 251180 had a related patch set uploaded (by Bartosz Dziewoński):
Split off uw.CategoriesDetailsWidget from UploadWizardDetails (improve warnings)

https://gerrit.wikimedia.org/r/251180

Change 251181 had a related patch set uploaded (by Bartosz Dziewoński):
Split off uw.DescriptionsDetailsWidget from UploadWizardDetails (and OOUI-ize)

https://gerrit.wikimedia.org/r/251181

Change 251182 had a related patch set uploaded (by Bartosz Dziewoński):
Split off uw.TitleDetailsWidget from UploadWizardDetails (and OOUI-ize)

https://gerrit.wikimedia.org/r/251182

The first two changes, for date and categories, have very little user-visible changes and can be merged whenever.

The next two, for description and title, do shuffle the fields quite a bit and should be merged together to avoid weird-looking interface.

Remaining: location, other information, custom campaign fields.

Change 251291 had a related patch set uploaded (by Bartosz Dziewoński):
Split off uw.LocationDetailsWidget from UploadWizardDetails (and OOUI-ize)

https://gerrit.wikimedia.org/r/251291

Change 251488 had a related patch set uploaded (by Bartosz Dziewoński):
Split off uw.OtherDetailsWidget from UploadWizardDetails (and OOUI-ize)

https://gerrit.wikimedia.org/r/251488

matmarex added a comment.EditedNov 6 2015, 12:52 PM
Old:
New:

I think this is basically it. This screenshot doesn't show per-file deed chooser, which is not pretty yet, and is being dealt with as T118906.

Change 253627 had a related patch set uploaded (by Bartosz Dziewoński):
Split off uw.CampaignDetailsWidget from UploadWizardDetails (and OOUI-ize)

https://gerrit.wikimedia.org/r/253627

matmarex renamed this task from Split up the details class into multiple classes and files to Split up the details class into multiple OOjs UI widgets in separate files.Nov 17 2015, 10:10 PM
matmarex set Security to None.

Change 251179 merged by jenkins-bot:
Split off uw.DateDetailsWidget from UploadWizardDetails (introduce uw.DetailsWidget)

https://gerrit.wikimedia.org/r/251179

Change 251180 merged by jenkins-bot:
Split off uw.CategoriesDetailsWidget from UploadWizardDetails (improve warnings)

https://gerrit.wikimedia.org/r/251180

Change 251181 merged by jenkins-bot:
Split off uw.DescriptionsDetailsWidget from UploadWizardDetails (and OOUI-ize)

https://gerrit.wikimedia.org/r/251181

Change 251182 merged by jenkins-bot:
Split off uw.TitleDetailsWidget from UploadWizardDetails (and OOUI-ize)

https://gerrit.wikimedia.org/r/251182

Change 251291 merged by jenkins-bot:
Split off uw.LocationDetailsWidget from UploadWizardDetails (and OOUI-ize)

https://gerrit.wikimedia.org/r/251291

Change 251488 merged by jenkins-bot:
Split off uw.OtherDetailsWidget from UploadWizardDetails (and OOUI-ize)

https://gerrit.wikimedia.org/r/251488

Change 253627 merged by jenkins-bot:
Split off uw.CampaignDetailsWidget from UploadWizardDetails (and OOUI-ize)

https://gerrit.wikimedia.org/r/253627

Jdforrester-WMF closed this task as Resolved.Nov 20 2015, 7:07 PM
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF removed a project: Patch-For-Review.